#
# spec file for package xli (Version 20061110)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           xli
License:        MIT
Group:          System/X11/Utilities
Version:        20061110
Release:        151.5
Summary:        X11 Image Loading Utility
Url:            http://pantransit.reptiles.org/prog
Source:         xli-2006-11-10.tar.bz2
Patch0:         xli-1.17.0.patch
Patch1:         xli-1.17.0-overflow.patch
Patch2:         xli-1.17.0-8bit_palette.patch
Patch3:         xli-1.17.0-configfile.patch
Patch4:         xli-png_check_sig.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libjpeg-devel libpng-devel xorg-x11-devel
Provides:       xli115
Provides:       xloadimage = %{version}

%description
xli is a version of xloadimage.

This utility will view several types of images under X11, or load
images onto the X11 root window.

%prep
%setup -q -n xli-2006-11-10
%patch0
%patch1
%patch2
%patch3
%patch4

%build
xmkmf -a
make %{?_smp_mflags} all CCOPTIONS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/X11
make BINDIR=$RPM_BUILD_ROOT%{_bindir} install
make DESTDIR=$RPM_BUILD_ROOT install.man
ln -s xli $RPM_BUILD_ROOT%{_bindir}/xloadimage
ln -s xli.1x.gz $RPM_BUILD_ROOT%{_mandir}/man1/xloadimage.1x.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README* ABOUTGAMMA
%doc %{_mandir}/man1/xli.1x.gz
%doc %{_mandir}/man1/xlito.1x.gz
%doc %{_mandir}/man1/xloadimage.1x.gz
%{_bindir}/xli
%{_bindir}/xlito
%{_bindir}/xloadimage
%{_bindir}/xsetbg
%{_bindir}/xview
/usr/lib/X11/Xli

%changelog
* Sat May  1 2010 prusnak@suse.cz
- provide also xloadimage
- cleanup specfile
* Sun Apr  4 2010 ro@suse.de
- fix build with libpng14
* Fri Apr 13 2007 lmichnovic@suse.cz
- update to new snapshot 2006/11/10
  * fixing a crash on PGM/PPM images with a maxval > 255,
    and various warnings about uninitialized variables.
* Fri Feb  9 2007 aj@suse.de
- Add defattr.
* Thu Jul 27 2006 lmichnovic@suse.cz
- building with X.org 7.x: detects version of X.org instead of
  suse_version
* Sat Jul 22 2006 lmichnovic@suse.cz
- create config file in /usr/lib/X11/Xli as sugested in man page
  (configfile.patch)
- now builds also with new X.org 7.x
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 lmichnovic@suse.cz
- added -fstack-protector into CCOPTIONS in specfile
* Fri Oct 14 2005 lmichnovic@suse.cz
- fixed buffer overflow which can be misused to execute arbitrary code (#121922)
- added support 8bit color images with palette.
* Thu Sep  8 2005 ltinkl@suse.cz
- update to snapshot 2005-09-04 which incorporates fixes for
  the previous security bug (#66139) and fullscreen handling
  (#115258)
* Fri Jun 10 2005 meissner@suse.de
- use RPM_OPT_FLAGS
* Wed Apr 20 2005 ltinkl@suse.de
- fix buffer overflow (#66139)
* Thu Jul  1 2004 bg@suse.de
- fix Imakefile for hppa
* Tue Feb 24 2004 schwab@suse.de
- Fix bad unsigned division [#25778].
* Wed Jun  4 2003 mjancar@suse.cz
- added URL
* Wed Nov 13 2002 jderfina@suse.cz
- fixed "GCC no longer implements <varargs.h>." error.
* Thu Sep 26 2002 max@suse.de
- New version 1.17.0.
- Now supports PNG and progressive JPEG.
* Tue Sep  4 2001 nadvornik@suse.cz
- fixed copyright tag
- removed Provides: xli
* Fri Jul 20 2001 nadvornik@suse.cz
- fixed possible buffer overflow
* Fri Apr 13 2001 schwab@suse.de
- Fix missing declarations.
- Fix unaligned access.
* Fri May 12 2000 nadvornik@suse.cz
- added BuildRoot
- removed Makefile.Linux
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun  9 1997 fehr@suse.de
- make all smlinks relative
